Get multiple traces by IDs
curl --request GET \
--url https://app.atla-ai.com/api/sdk/v1/traces/ids \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.atla-ai.com/api/sdk/v1/traces/ids"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.atla-ai.com/api/sdk/v1/traces/ids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"traces": [
{
"id": "<string>",
"isSuccess": true,
"isCompleted": true,
"stepCount": 123,
"startedAt": "<string>",
"endedAt": "<string>",
"durationSeconds": 123,
"ingestedAt": "<string>",
"metadata": {},
"spans": [
{
"id": "<string>",
"traceId": "<string>",
"parentSpanId": "<string>",
"spanName": "<string>",
"startTimestamp": "<string>",
"endTimestamp": "<string>",
"isException": true,
"otelEvents": [
"<unknown>"
],
"annotations": [
{
"spanId": "<string>",
"failureMode": "<string>",
"atlaCritique": "<string>",
"id": "<string>"
}
]
}
],
"customMetricValues": [
{
"id": "<string>",
"traceId": "<string>",
"customMetricId": "<string>",
"value": "<string>",
"customMetric": {
"id": "<string>",
"name": "<string>"
}
}
]
}
]
}Traces
Get Multiple Traces by IDs
Get multiple traces by IDs
GET
/
api
/
sdk
/
v1
/
traces
/
ids
Get multiple traces by IDs
Retrieve specific traces by providing an array of trace IDs. Returns complete trace data including spans, summaries, and custom metrics for all found traces.
Authorizations
API key authentication using Bearer token
Query Parameters
Available options:
spans, annotations, customMetrics Response
Successfully retrieved traces matching the provided IDs
Show child attributes
Show child attributes
⌘I